Download it now!
Bug 88160 - EDITING and FILESAVE and UNSHARING of sheet is not possible, file with password
Summary: EDITING and FILESAVE and UNSHARING of sheet is not possible, file with password
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Password-Protected
  Show dependency treegraph
 
Reported: 2015-01-07 15:12 UTC by chris
Modified: 2020-04-26 15:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
simple test file (11.57 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-08 12:41 UTC, chris
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chris 2015-01-07 15:12:39 UTC

    
Comment 1 raal 2015-01-07 15:25:27 UTC
Please explain more what do you mean. You can not uncheck Tools - Share Document?
Comment 2 chris 2015-01-07 15:29:45 UTC
I have a simple spreadsheet that contains data only (no calculations). I set the spreadsheet as shared.

I can open the spreadsheet and edit cells, but any attempt to save the sheet either by hitting the save button or (on closing the window) by selecting save from the "save before closing" pop-up window simply fails. So I can't edit and save the sheet.

I've attempted to unshare the sheet by unselecting the "share this spreadsheet ......" button under the Tools/Share Document button, but this fails so I cannot unshare the document. I suspect the "share" may have some connection to the inability to save changes to the sheet.
Comment 3 raal 2015-01-07 22:29:42 UTC
I can not confirm with LO 4.3.3, Ubuntu

Can you reproduce with new file? Is path where the file is saved writable?
After uncheck "Share Document" calc save document, so if Calc can not save file probably don't uncheck "share doc".
Comment 4 chris 2015-01-08 12:41:22 UTC
Created attachment 111955 [details]
simple test file

Sequence followed for creating the file was :

1. New file
2. Name and save empty file
3. Enter text in file
4. "Save as" same file name with password 123456
5. Share file
6. Try to save file. Doesn't save using "save" button, File/Save, or closing window and selecting save from dialogue
7. Close file unsaved from dialogue
8. Re-open file - file is now marked as shared
9. Add text in cell C1 (or make no change to file)
10. Can't uncheck shared button under Tools/Share Document
11. Can't save file (with or without change to file)
Comment 5 chris 2015-01-08 12:44:17 UTC
This was on Debian not Ubuntu.

File is writeable as shown above.
Comment 6 raal 2015-01-08 15:33:33 UTC
I can confirm with LO 4.3.3, with Version: 4.3.6.0.0+
Build ID: 1b9bcc2e7f31e880e71c8d2a2aaf1b2839d4d32a
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-3, Time: 2014-12-14_15:56:02 , 
with version Version: 4.4.0.1.0+
Build ID: 6db4dfae163753dfa1724120c5e235274559bcf0
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2014-12-31_02:11:39, 
with Version: 4.5.0.0.alpha0+
Build ID: 7f476fea47f06a7f8cc961dd4f6595a524346fa5
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-27_23:36:28
Comment 7 QA Administrators 2016-01-17 20:04:56 UTC Comment hidden (obsolete)
Comment 8 chris 2016-01-18 14:54:51 UTC
Confirming that using version 5.0.4.2 on Debian testing the bug still exists and behaviour is unchanged.
Comment 9 QA Administrators 2017-03-06 14:33:37 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-03 14:29:11 UTC
Dear chris,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug